<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <link crossorigin="anonymous" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css"
          integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" rel="stylesheet">
    <script crossorigin="anonymous"
            integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
            src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script crossorigin="anonymous"
            integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx"
            src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js"></script>
    <title>Mancala</title>

    <style>
        .big_pit {
            height: 120px;
            width: 180px;
            background-color: #555;
            border-radius: 50%;
            border-color: black;
        }

        .small_pit {
            height: 100px;
            width: 100px;
            background-color: #555;
            border-radius: 90%;
        }

        .stone {
            height: 10px;
            width: 10px;
            background-color: white;
            border-radius: 50%;
        }
    </style>
</head>
<body>
<!--<header class="bg-dark vw-100 p-1">
    <h1 class="text-white font-weight-bolder text-center"> Mancala Game </h1>
</header>-->
<div class="container text-center mt-5">
    <div class="row col-sm">
        <div th:if="${board == null}" class="col-sm">
            <form action="#" class="form-group" method="post" th:action="@{/start}" th:object="${registerDTO}">
                <div class="row col-sm">
                    <div class="col-4">
                        <p class="font-weight-bold" th:id="playerName">Player 1</p>
                        <input class="form-control" required placeholder="Name" type="text" th:field="*{playerOneName}">
                    </div>
                    <div class="col-4">
                        <p class="font-weight-bold">VS</p>
                    </div>
                    <div class="col-4">
                        <p class="font-weight-bold">Player 2</p>
                        <input class="form-control" required placeholder="Name" type="text" th:field="*{playerTwoName}">
                    </div>
                </div>
                <button class="btn btn-danger form-control mt-5 text-center"> Start</button>
            </form>
        </div>
        <div th:if="${board != null}" class="col-sm">
            <h1 class="text-center font-weight-bold danger" th:if="${board.getWarning() !=null}"
                th:text="${board.getWarning()}"></h1>
            <h1 class="text-center font-weight-bold danger" th:if="${board.getPlayerOne().isGameTurn()}"
                th:text="${board.getPlayerOne().name} + 'Turn!'"></h1>
            <h1 class="text-center font-weight-bold danger" th:if="${board.getPlayerTwo().isGameTurn()}"
                th:text="${board.getPlayerTwo().name} + 'Turn!' "></h1>
            <div class="text-center font-weight-bold danger" th:if="${board.isGameEnded()}">
                <h1 class="text-center font-weight-bold danger" th:if="${board.getPlayerOne().isWin()}"
                    th:text="${board.getPlayerOne().name} + 'Win !'"></h1>
                <h1 class="text-center font-weight-bold danger" th:if="${board.getPlayerTwo().isWin()}"
                    th:text="${board.getPlayerTwo().name} + 'Win !'"></h1>
            </div>
        </div>
    </div>

    <div th:if="${board != null}" class="col-12 align-items-center">
        <img class="text-center" th:src="@{/narrow.png}" type="submit" width="200px" height="100px">
        <div class="row col-12" id="game_board">
            <div class="col-2" id="player_one_big_pit">
                <p class="font-weight-bold text-center" th:if="${board != null}"
                   th:text="${board.getPlayerOne().name}">
                    Player One </p>
                <br>
                <div class="big_pit text-center "></div>
            </div>

            <div class="col-8" id="small_pit">
                <div class="row flex-row-reverse col-sm" id="player_one_small_pit">
                    <a class="col-2" th:href="@{/play/{id}/{pitNumber}/{stoneCount}(id=${board.getPlayerOne().getPlayerId()}
                    ,pitNumber=${1},stoneCount=${board.getPlayerOneSmallPits().get(0).getStones().size()})}">
                        <div class="small_pit row">
                            <div th:each="stone :${board.getPlayerOneSmallPits().get(0).getStones()}"
                                 class="stone"></div>
                        </div>
                        <p th:if="${!board.getPlayerOneSmallPits().get(0).getStones().isEmpty()}"
                           th:text="${board.getPlayerOneSmallPits().get(0).getStones().size()}" class="text-center">
                            0</p>
                    </a>

                    <a class="col-2" th:href="@{/play/{id}/{pitNumber}/{stoneCount}(id=${board.getPlayerOne().getPlayerId()}
                    ,pitNumber=${2},stoneCount=${board.getPlayerOneSmallPits().get(1).getStones().size()})}">
                        <div class="small_pit row">
                            <div th:each="stone :${board.getPlayerOneSmallPits().get(1).getStones()}"
                                 class="stone"></div>
                        </div>
                        <p th:if="${!board.getPlayerOneSmallPits().get(1).getStones().isEmpty()}"
                           th:text="${board.getPlayerOneSmallPits().get(1).getStones().size()}" class="text-center">
                            0</p>
                    </a>

                    <a class="col-2" th:href="@{/play/{id}/{pitNumber}/{stoneCount}(id=${board.getPlayerOne().getPlayerId()}
                    ,pitNumber=${3},stoneCount=${board.getPlayerOneSmallPits().get(2).getStones().size()})}">
                        <div class="small_pit row">
                            <div th:each="stone :${board.getPlayerOneSmallPits().get(2).getStones()}"
                                 class="stone"></div>
                        </div>
                        <p th:if="${!board.getPlayerOneSmallPits().get(2).getStones().isEmpty()}"
                           th:text="${board.getPlayerOneSmallPits().get(2).getStones().size()}" class="text-center">
                            0</p>
                    </a>

                    <a class="col-2" th:href="@{/play/{id}/{pitNumber}/{stoneCount}(id=${board.getPlayerOne().getPlayerId()}
                    ,pitNumber=${4},stoneCount=${board.getPlayerOneSmallPits().get(3).getStones().size()})}">
                        <div class="small_pit row">
                            <div th:each="stone :${board.getPlayerOneSmallPits().get(3).getStones()}"
                                 class="stone"></div>
                        </div>
                        <p th:if="${!board.getPlayerOneSmallPits().get(3).getStones().isEmpty()}"
                           th:text="${board.getPlayerOneSmallPits().get(3).getStones().size()}" class="text-center">
                            0</p>
                    </a>

                    <a class="col-2" th:href="@{/play/{id}/{pitNumber}/{stoneCount}(id=${board.getPlayerOne().getPlayerId()}
                    ,pitNumber=${5},stoneCount=${board.getPlayerOneSmallPits().get(4).getStones().size()})}">
                        <div class="small_pit row">
                            <div th:each="stone :${board.getPlayerOneSmallPits().get(4).getStones()}"
                                 class="stone"></div>
                        </div>
                        <p th:if="${!board.getPlayerOneSmallPits().get(4).getStones().isEmpty()}"
                           th:text="${board.getPlayerOneSmallPits().get(4).getStones().size()}" class="text-center">
                            0</p>
                    </a>

                    <a class="col-2" th:href="@{/play/{id}/{pitNumber}/{stoneCount}(id=${board.getPlayerOne().getPlayerId()}
                    ,pitNumber=${6},stoneCount=${board.getPlayerOneSmallPits().get(5).getStones().size()})}">
                        <div class="small_pit row">
                            <div th:each="stone :${board.getPlayerOneSmallPits().get(5).getStones()}"
                                 class="stone"></div>
                        </div>
                        <p th:if="${!board.getPlayerOneSmallPits().get(5).getStones().isEmpty()}"
                           th:text="${board.getPlayerOneSmallPits().get(5).getStones().size()}" class="text-center">
                            0</p>
                    </a>
                </div>

                <div class="row col-sm" id="player_two_small_pit">
                    <a class="col-2" th:href="@{/play/{id}/{pitNumber}/{stoneCount}(id=${board.getPlayerTwo().getPlayerId()}
                    ,pitNumber=${1},stoneCount=${board.getPlayerTwoSmallPits().get(0).getStones().size()})}">
                        <div class="small_pit row">
                            <div th:each="stone :${board.getPlayerTwoSmallPits().get(0).getStones()}"
                                 class="stone"></div>
                        </div>
                        <p th:if="${!board.getPlayerTwoSmallPits().get(0).getStones().isEmpty()}"
                           th:text="${board.getPlayerTwoSmallPits().get(0).getStones().size()}" class="text-center">
                            0</p>
                    </a>

                    <a class="col-2" th:href="@{/play/{id}/{pitNumber}/{stoneCount}(id=${board.getPlayerTwo().getPlayerId()}
                    ,pitNumber=${2},stoneCount=${board.getPlayerTwoSmallPits().get(1).getStones().size()})}">
                        <div class="small_pit row">
                            <div th:each="stone :${board.getPlayerTwoSmallPits().get(1).getStones()}"
                                 class="stone"></div>
                        </div>
                        <p th:if="${!board.getPlayerTwoSmallPits().get(1).getStones().isEmpty()}"
                           th:text="${board.getPlayerTwoSmallPits().get(1).getStones().size()}" class="text-center">
                            0</p>
                    </a>

                    <a class="col-2" th:href="@{/play/{id}/{pitNumber}/{stoneCount}(id=${board.getPlayerTwo().getPlayerId()}
                    ,pitNumber=${3},stoneCount=${board.getPlayerTwoSmallPits().get(2).getStones().size()})}">
                        <div class="small_pit row">
                            <div th:each="stone :${board.getPlayerTwoSmallPits().get(2).getStones()}"
                                 class="stone"></div>
                        </div>
                        <p th:if="${!board.getPlayerTwoSmallPits().get(2).getStones().isEmpty()}"
                           th:text="${board.getPlayerTwoSmallPits().get(2).getStones().size()}" class="text-center">
                            0</p>
                    </a>

                    <a class="col-2" th:href="@{/play/{id}/{pitNumber}/{stoneCount}(id=${board.getPlayerTwo().getPlayerId()}
                    ,pitNumber=${4},stoneCount=${board.getPlayerTwoSmallPits().get(3).getStones().size()})}">
                        <div class="small_pit row">
                            <div th:each="stone :${board.getPlayerTwoSmallPits().get(3).getStones()}"
                                 class="stone"></div>
                        </div>
                        <p th:if="${!board.getPlayerTwoSmallPits().get(3).getStones().isEmpty()}"
                           th:text="${board.getPlayerTwoSmallPits().get(3).getStones().size()}" class="text-center">
                            0</p>
                    </a>

                    <a class="col-2" th:href="@{/play/{id}/{pitNumber}/{stoneCount}(id=${board.getPlayerTwo().getPlayerId()}
                    ,pitNumber=${5},stoneCount=${board.getPlayerTwoSmallPits().get(4).getStones().size()})}">
                        <div class="small_pit row">
                            <div th:each="stone :${board.getPlayerTwoSmallPits().get(4).getStones()}"
                                 class="stone"></div>
                        </div>
                        <p th:if="${!board.getPlayerTwoSmallPits().get(4).getStones().isEmpty()}"
                           th:text="${board.getPlayerTwoSmallPits().get(4).getStones().size()}" class="text-center">
                            0</p>
                    </a>

                    <a class="col-2" th:href="@{/play/{id}/{pitNumber}/{stoneCount}(id=${board.getPlayerTwo().getPlayerId()}
                    ,pitNumber=${6},stoneCount=${board.getPlayerTwoSmallPits().get(5).getStones().size()})}">
                        <div class="small_pit row">
                            <div th:each="stone :${board.getPlayerTwoSmallPits().get(5).getStones()}"
                                 class="stone"></div>
                        </div>
                        <p th:if="${!board.getPlayerTwoSmallPits().get(5).getStones().isEmpty()}"
                           th:text="${board.getPlayerTwoSmallPits().get(5).getStones().size()}" class="text-center">
                            0</p>
                    </a>
                </div>

            </div>

            <div class="col-2" id="player_two_big_pit">
                <p class="font-weight-bold text-center" th:if="${board != null}"
                   th:text="${board.getPlayerTwo().name}">
                    Player Two </p>
                <br>
                <div class="big_pit"></div>
            </div>
        </div>
        <img alt="narrow" class="text-center" height="100px" th:src="@{/narrow1.png}" width="200px">
    </div>
</div>
</div>
</body>
</html>